%=======================================================================
%To solve optimization problem:
%Create a new subfolder in ...\PSG\MATLAB:
%..\PSG\MATLAB\problem_entropyr_250
%Download and unpack the following zipped file from 'Data' to the created folder:
%'Mat_data_problem_entropyr_250.zip'
%Run program 'problem_entropyr_250.m'
%=======================================================================

clc;
clear;
addpath('..');

%Load data:
load('.\problem_entropyr_250_data.mat')
%Define options for PSG solver:
stroptions.Linearization = 'On';
stroptions.Solver = 'BULDOZER';

%Solve optimization problems:
[xout, fval, status, output] = riskprog('entropyr', [], H, [], [], [], [], [], Aeq, beq, lb, [], [], stroptions);

%Display results:
disp(' ');
disp('Results: ');
%Display status of optimization problem:
disp(sprintf('status of optimization problem = %s', status));
%Display solving time:
disp(sprintf('solving time = %g', output.solving_time));
%Display objective:
disp(sprintf('objective = %g', fval));
%Display function:
disp(sprintf('entropyr = %g', output.frval));
%Display left hand sides of linear equality:
disp('linear equality: ');
disp(output.fAeqval');
%Display residual of linear equality:
disp(sprintf('residual of linear equality = %g', output.rAeqval));
%Display optimal point:
disp('optimal point = ');
disp(xout);
